Bug 442739 - unicode decode error causes traceback
unicode decode error causes traceback
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5
s390 Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 11:14 EDT by Greg Nichols
Modified: 2008-06-20 13:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 13:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Nichols 2008-04-16 11:14:13 EDT
Description of problem:

Non-printing ascii characters in /var/log/messages cause HTS to
traceback when searching log for sections marked by tests.

Traceback (most recent call last):
  File "/usr/bin/hts", line 55, in ?
    success = hts.do(args)
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 172, in do
    result = self.doCertify()
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 415, in doCertify
    self.saveSystemLog(test, run)
  File "/usr/share/hts/lib/hts/hardwaretest.py", line 678, in saveSystemLog
    contents = self.getSystemLog(test.getName())
  File "/usr/share/hts/lib/hts/controller.py", line 78, in getSystemLog
    l.encode("utf-8")
UnicodeDecodeError: 'ascii' codec can't decode byte 0xa3 in position 54: ordinal
not in range(128)




Version-Release number of selected component (if applicable):

HTS 5.2 R10
Comment 1 Greg Nichols 2008-04-21 12:23:43 EDT
Fixed HTS 5.2 R11
Comment 3 Hao Liu 2008-06-20 03:23:25 EDT
Greg,
  Would you please provide the steps to reproduce the bug? Thanks.
Comment 6 errata-xmlrpc 2008-06-20 13:52:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0493.html

Note You need to log in before you can comment on or make changes to this bug.